Page MenuHomePhabricator

Deploy new version of wikidiff2 package
Closed, ResolvedPublic

Description

There have been changes to wikidiff2, notably T128697: Smart limit for word-level diffs that should be deployed.

Event Timeline

Legoktm created this task.Jul 15 2016, 1:45 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 15 2016, 1:45 AM

Change 299106 had a related patch set uploaded (by Legoktm):
Update changelog for 1.4.0

https://gerrit.wikimedia.org/r/299106

Legoktm added a subscriber: Joe.Jul 15 2016, 2:00 AM
fgiunchedi triaged this task as Medium priority.Jul 15 2016, 9:09 AM

I poked ops-l about this today.

Change 299106 merged by Alexandros Kosiaris:
Update changelog for 1.4.0

https://gerrit.wikimedia.org/r/299106

Mentioned in SAL [2016-08-10T11:29:03Z] <akosiaris> T140443 uploaded to apt.wikimedia.org trusty-wikimedia: php-wikidiff2_1.4.0

Version 1.4.0 is on apt.wikimedia.org and has been deployed to mw1017 for testing. Let's evaluate and then move forward with the full fleet upgrade

Mentioned in SAL [2016-08-10T12:19:05Z] <akosiaris> T140443 uploaded to apt.wikimedia.org trusty-wikimedia: php-wikidiff2_1.4.1

So far so good:

@MaxSem I suppose after a week we are confident this work fine ? Should I schedule an upgrade window next week ?

Yes please! Meanwhile, I've upgraded it on beta cluster.

I just reimaged a jessie scaler and it fails to run puppet due to being able to find hhvm-wikidiff2, existing servers have 1.3.5~jessie1, so it seems like 1.4.2 was only built/uploaded for trusty?

I just reimaged a jessie scaler and it fails to run puppet due to being able to find hhvm-wikidiff2, existing servers have 1.3.5~jessie1, so it seems like 1.4.2 was only built/uploaded for trusty?

Exactly. Fixing now

1.4.1 has been uploaded on jessie-wikimedia as well. So the part that @MoritzMuehlenhoff mentions should be fixed. I 've rescheduled that Deployment that did not happen on August 22nd for tomorrow Tuesday 30th of August

https://wikitech.wikimedia.org/wiki/Deployments#Tuesday.2C.C2.A0August.C2.A030

Apparently not:

maxsem@mw1234:~$ dpkg -l '*wikidiff*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                     Version           Architecture      Description
+++-========================-=================-=================-=====================================================
ii  hhvm-wikidiff2           1.3.5             amd64             external diff engine for MediaWiki (HHVM extension)
ii  php-wikidiff2            1.3.4             amd64             external diff engine for MediaWiki (PHP extension)

Mentioned in SAL [2016-08-31T10:32:59Z] <akosiaris> starting a gradual deployment of wikidiff2 across the mw* fleet. T140443

akosiaris closed this task as Resolved.Aug 31 2016, 11:53 AM
akosiaris claimed this task.

The package has been upgraded throughout the mediawiki fleet as well as some other hosts like snapshot100X, tin, osmium, wasat, terbium and mira. php-wikidiff2 HAS NOT on purpose being upgraded as, at least for the mw fleet, is irrelevant (the hhvm variant is actually being used). In fact I 'll see if it makes sense to actually purge it instead. I think we can resolve this now.

php-wikidiff2 can be safely removed on all jessie hosts (and mostly probably also on trusty, but these are being reimaged anyway so don't bother): Since 35f6983b all the mediawiki roles no longer install php-wikidiff2 and other related PHP packages, so all app servers which have been installed since 31 May are working fine without it.

Hmm, what about wikitech/silver which is still using PHP5 on trusty?

Hmm, what about wikitech/silver which is still using PHP5 on trusty?

The old version of php-wikidiff2 will remain on apt.wikimedia.org for the trusty-wikimedia archive, so should cause no problems.

jijiki removed a project: serviceops.